
/*********************************************************************/
/*                                                                   */
/* Module Name: AMQODQHT.H                                           */
/*                                                                   */
/* Description: RUNMQDLQ parameter types                             */
/* <START_COPYRIGHT>                                                 */
/*  Statement:     Licensed Materials - Property of IBM              */                      
/*                                                                   */      
/*                 04L1773, 5765-B73                                 */            
/*                 04L1802, 5639-B42                                 */            
/*                 04L1788, 5765-B74                                 */            
/*                 04L1816, 5765-B75                                 */            
/*                 04L1830, 5639-B43                                 */            
/*                 (C) Copyright IBM Corp. 1994, 1999                */
/* <END_COPYRIGHT>                                                   */
/*********************************************************************/
/*                                                                   */
/* Function:                                                         */
/*                                                                   */
/* This file contains a table of the keywords which are supported    */
/* by the MQSeries DLQ handler.                                      */
/*                                                                   */
/*                                                                   */
/*********************************************************************/
#ifdef ODQENUM
#undef odqParmDefPattern
#undef odqParmDefLimit
#undef odqParmDefStatic
#define odqParmDefPattern(a,b,c,d,e) a
#define odqParmDefLimit(a) a
#define odqParmDefStatic(a,b,c,d) a
typedef enum
{
#else
#undef odqParmDefPattern
#undef odqParmDefLimit
#undef odqParmDefStatic
#ifdef AMQ_AS400
  #ifndef offsetof
    #include <stddef.h>
  #endif
  #undef FIELDOFFSET
  #define FIELDOFFSET(type, field)  ((short)offsetof(type,field))
#else
 #ifndef FIELDOFFSET
  #define FIELDOFFSET(type, field)  ((short)((long)&(((type *)0)->field)))
 #endif
#endif /* End If defined AS400 */
#define odqParmDefPattern(a,b,c,d,e) {\
                               b,\
                               c,\
                               odqSTRUCT##d,\
                               FIELDOFFSET(d,a),\
                               #e}
#define odqParmDefLimit(a)       {\
                             0,\
                             0,\
                             0,\
                             0,\
                             NULL}
#define odqParmDefStatic(a,b,c,d) {\
                              b,\
                              c,\
                              0,\
                              0,\
                              #d}
#define odqSTRUCTMQMD  1
#define odqSTRUCTMQDLH 2
#define odqSTRUCTLAST  3

typedef struct
{
 int    maxlen;
 char   format;
 int    Struct;
 int    Offset;
 char  *keyword;
} odqParmAttr_t;

static odqParmAttr_t odqParmAttrs[]={
#endif
 odqParmDefLimit(FirstKeyword), 
 odqParmDefPattern(ApplIdentityData,MQ_APPL_IDENTITY_DATA_LENGTH,'w',MQMD, APPLIDAT),
 odqParmDefPattern(DestQName,MQ_Q_NAME_LENGTH,'w', MQDLH, DESTQ),
 odqParmDefPattern(DestQMgrName,MQ_Q_MGR_NAME_LENGTH,'w',MQDLH, DESTQM),
 odqParmDefPattern(Format,MQ_FORMAT_LENGTH,'w', MQDLH, FORMAT),
 odqParmDefPattern(PutApplName,MQ_PUT_APPL_NAME_LENGTH,'w',MQMD, APPLNAME),
 odqParmDefPattern(ReplyToQ,MQ_Q_NAME_LENGTH,'w',MQMD, REPLYQ),
 odqParmDefPattern(ReplyToQMgr,MQ_Q_MGR_NAME_LENGTH,'w',MQMD, REPLYQM),
 odqParmDefPattern(UserIdentifier,MQ_USER_ID_LENGTH,'w',MQMD, USERID),
 odqParmDefPattern(PutApplType,sizeof(MQLONG),'d',MQMD, APPLTYPE),
 odqParmDefPattern(Feedback,sizeof(MQLONG),'d',MQMD, FEEDBACK),
 odqParmDefPattern(MsgType,sizeof(MQLONG),'d',MQMD, MSGTYPE),
 odqParmDefPattern(Reason,sizeof(MQLONG),'d',MQDLH, REASON),
 odqParmDefPattern(Persistence,sizeof(MQLONG),'d',MQMD, PERSIST),
 odqParmDefStatic(ForwardQ, MQ_Q_NAME_LENGTH, 's', FWDQ),
 odqParmDefStatic(ForwardQMgr, MQ_Q_MGR_NAME_LENGTH, 's', FWDQM),
 odqParmDefStatic(Action, sizeof(int), 'd', ACTION),
 odqParmDefStatic(Retry, sizeof(int), 'd', RETRY),
 odqParmDefStatic(Header, sizeof(int),'d',HEADER),
 odqParmDefStatic(PutAut, sizeof(int) ,'d',PUTAUT),
 odqParmDefStatic(InputQ, MQ_Q_NAME_LENGTH ,'s',INPUTQ),
 odqParmDefStatic(InputQM, MQ_Q_MGR_NAME_LENGTH ,'s',INPUTQM),
 odqParmDefStatic(RetryInt, sizeof(int) ,'d',RETRYINT),
 odqParmDefStatic(Wait, sizeof(int) ,'d',WAIT),
 odqParmDefLimit(LastKeyword)
#ifdef ODQENUM
} odqKeyword;
#else
};
#endif
